package com.qianhe.zqcz.pftb.service;

import com.qianhe.zqcz.pftb.domain.ZqczPftb;
import com.qianhe.zqcz.pftb.domain.ZqczPftbQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface ZqczPftbService {
    /**
     * 条件查询
     */
    Map<String, Object> list(ZqczPftbQuery zqczPftbQuery);

    /**
     * 修改
     */
    int add(ZqczPftb zqczPftb, String username);

    /**
     * 根据基层任务ID删除
     */
    int deleteByJcrwid(Long jcrwid);

    /**
     * 导出
     */
    void export(HttpServletResponse response, ZqczPftbQuery zqczPftbQuery);

    /**
     * 导入
     */
    int importExcel(Long zsrwid, Long jcrwid, MultipartFile file);
}
